<?php
class validator{
var $ERROR = "";
var $CLEAR = false;
function validator(){
return;
}
function clear_error (){
$this->ERROR = "";
}
function strip_space ($text){
$Return = ereg_replace("([ 	]+)","",$text);
return ($Return);
}
function is_allnumbers ($text)
{
if($this->CLEAR) { $this->clear_error(); }
if(empty($text)){
$this->ERROR = "No value submited";
return false;
}
if($text<0){
$this->ERROR = "Should be positive numerics";
return false;
}
if( (gettype($text)) == "integer")	{ return true; }
$Bad = $this->strip_numbers($text);
if(empty($Bad)){
return true;
}
return false;
}
function is_nonNegNumber ($text){
if ($this->CLEAR) { $this->clear_error(); }
if (empty($text)){
$this->ERROR = "No value submited";
return false;
}
if ( (gettype($text)) == "float")	{ return true; }
$Bad = eregi_replace("([0-9.])", "", $text);
if (empty($Bad)){
return true;
}else {
$this->ERROR = "Value should be Positive Integer";
return false;
}
}
function strip_numbers ($text){
$Stripped = eregi_replace("([0-9]+)", "", $text);
return ($Stripped);
}
function has_space ($text){
if ( ereg("[ 	]",$text) ){
return true;
}
return false;
}
function is_phone ($Phone = ""){
if ($this->CLEAR) { $this->clear_error(); }
if ( empty ( $Phone)){
$this->ERROR = "No Phone number submitted";
return false;
}
$Num = $Phone;
$Num = $this->strip_space($Num);
$Num = eregi_replace("(\(|\)|\-|\+)","",$Num);
if (!$this->is_allnumbers($Num)){
$this->ERROR = "bad data in phone number";
return false;
}
if ( (strlen($Num)) < 7){
$this->ERROR = "number is too short [$Num][$Phone]";
return false;
}
if ( (strlen($Num)) > 13){
$this->ERROR = "number is too long [$Num][$Phone]";
return false;
}
return true;
}
function is_email ($email_address = ""){
if ($this->CLEAR) { $this->clear_error(); }
if (!filter_var($email_address, FILTER_VALIDATE_EMAIL)) {
$this->ERROR = "Invalid email Address Submitted";
return false;
}
return true;
}
function is_host ($hostname = "", $type = "ANY"){
if ($this->CLEAR) { $this->clear_error(); }
if (empty($hostname)){
$this->ERROR = "Plese Provide Correct Email Id";
return false;
}
if (!$this->is_hostname($hostname))	{ return false; }
if(!checkdnsrr($hostname,$type)){
$this->ERROR = "no DNS records for [$hostname].";
return false;
}
return true;
}
function is_number($number)	{
if (!preg_match("/^[0-9]+$/", $number)){
return false;
}
return true;
}
function isfloat($number)	{
if (!preg_match("/^[0-9]*[\.][0-9]*+$/", $number)){
return false;
}
return true;
}
function is_alpha_numeric($str){
if ( empty($str) ||$str=="" ) {
$this->ERROR = "In Valid values Submited";
return false;
}
if ( !preg_match("/^[A-Za-z0-9_ ]+$/", $str ) ) {
$this->ERROR = "Please provide  valid  ";
return false;
}
return true;
}
function is_only_alpha_numeric($str){
if ( empty($str) ||$str=="" ) {
$this->ERROR = "In Valid values Submited";
return false;
}
if ( !preg_match("/^[A-Za-z0-9]+$/", $str ) ) {
$this->ERROR = "Please provide  valid  ";
return false;
}
return true;
}
function is_alpha($str){
if ( empty($str) ||$str=="" ) {
return false;
}
if ( !preg_match("/^[A-Za-z ]+$/", $str ) ) {
return false;
}
return true;
}
function is_hostname ($hostname = ""){
if ($this->CLEAR) { $this->clear_error(); }
$web = false;
if (empty($hostname)){
$this->ERROR = "Provide Correct Email Id";
return false;
}
$Bad = eregi_replace("[-A-Z0-9\.]","",$hostname);
if (!empty($Bad)){
$this->ERROR = "invalid chars [$Bad]";
return false;
}
if (eregi("^www\.",$hostname)){
$web = true;
}
if (ereg("\.\.",$hostname)){
$this->ERROR = "Double dot in [$hostname]";
return false;
}
if ( ereg("^\.", $hostname )) {
$this->ERROR = "leading dot in [$hostname]";
return false;
}
$chunks = explode(".",$hostname);
if ( (gettype($chunks)) != "array"){
$this->ERROR = "Invalid hostname, no dot seperator [$hostname]";
return false;
}
$count = ( (count($chunks)) - 1);
if ($count < 1){
$this->ERROR = "Invalid hostname [$count] [$hostname]\n";
return false;
}
}
function is_nullvalue($nullval){
if ($this->CLEAR) { $this->clear_error(); }
if ($nullval==""){
$this->ERROR = "No content found";
return false;
}
if (strlen($nullval)<1){
$this->ERROR = "No content found";
return false;
}
return true;
}
function login_username($str){
$len = strlen($str);
if ($len<=5||$len>=90){
$this->ERROR = "Username is Case-Sensitive. Use 6 to 90 alpha numeric characters only";
return false;
}
$pattern = "/^([a-zA-Z0-9._-]+)$/";
if (!preg_match($pattern, $str)){
$this->ERROR = "Username is Case-Sensitive. Use 6 to 90 alpha numeric characters only";
return false;
}
return true;
}
function login_password($str){
$len = strlen($str);
if ($len<=5||$len>=11){
$this->ERROR = "Password Length Min 6 Max 10 Alpha Numeric Characters";
return false;
}
$pattern = "/^[A-Za-z0-9]+$/";
if (!preg_match($pattern, $str)){
$this->ERROR = "Password Length Min 6 Max 10 Alpha Numeric Characters";
return false;
}
return true;
}
function login_email($str){
}
function is_username_pwd($str){
if ( empty($str) ||$str=="" ) {
$this->ERROR = "should not be Empty";
return false;
}
if ( !preg_match("/^[A-Za-z0-9_]+$/", $str ) ) {
$this->ERROR = "Invalid Password. Please enter alphanumeric characters ";
return false;
}
$str_length = strlen($str);
if (($str_length<3) ||($str_length>16) ) {
$this->ERROR = "must be 3 to 16 characters in length";
return false;
}
return true;
}
}
?>