-- phpMyAdmin SQL Dump
-- version 3.5.2.2
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Jul 08, 2013 at 03:04 PM
-- Server version: 5.5.27
-- PHP Version: 5.4.7

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `couponnewscript`
--

-- --------------------------------------------------------

--
-- Table structure for table `advertise`
--

CREATE TABLE IF NOT EXISTS `advertise` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(100) NOT NULL,
  `image` varchar(200) NOT NULL,
  `url` varchar(255) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `banner`
--

CREATE TABLE IF NOT EXISTS `banner` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) DEFAULT NULL,
  `sitename` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `banner_images`
--

CREATE TABLE IF NOT EXISTS `banner_images` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category` varchar(255) DEFAULT NULL,
  `image1` varchar(255) DEFAULT NULL,
  `image2` varchar(255) DEFAULT NULL,
  `image3` varchar(255) DEFAULT NULL,
  `image4` varchar(255) DEFAULT NULL,
  `image5` varchar(255) DEFAULT NULL,
  `image6` varchar(255) DEFAULT NULL,
  `display_name1` varchar(255) DEFAULT NULL,
  `display_name2` varchar(255) DEFAULT NULL,
  `display_name3` varchar(255) DEFAULT NULL,
  `display_name4` varchar(255) DEFAULT NULL,
  `display_name5` varchar(255) DEFAULT NULL,
  `display_name6` varchar(255) DEFAULT NULL,
  `map_id` int(11) DEFAULT '0',
  `url_link1` varchar(255) DEFAULT NULL,
  `url_link2` varchar(255) DEFAULT NULL,
  `url_link3` varchar(255) DEFAULT NULL,
  `url_link4` varchar(255) DEFAULT NULL,
  `url_link5` varchar(255) DEFAULT NULL,
  `url_link6` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `comment`
--

CREATE TABLE IF NOT EXISTS `comment` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `invoice` varchar(255) NOT NULL,
  `customer_id` varchar(255) NOT NULL,
  `commentlist` varchar(255) NOT NULL,
  `commented_by` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `status` enum('active','inactive','delete') NOT NULL DEFAULT 'active',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `contactdata`
--

CREATE TABLE IF NOT EXISTS `contactdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `mobileno` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `f_descriptions` text NOT NULL,
  `created_on` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `coupon`
--

CREATE TABLE IF NOT EXISTS `coupon` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `coupon_id` varchar(255) NOT NULL,
  `disc_p` varchar(255) DEFAULT NULL,
  `disc_a` varchar(255) DEFAULT NULL,
  `c_num` varchar(255) DEFAULT NULL,
  `total` varchar(255) DEFAULT NULL,
  `usedcoupan` varchar(255) DEFAULT NULL,
  `userid` int(222) DEFAULT NULL,
  `created_on` date DEFAULT NULL,
  `expired_on` date DEFAULT NULL,
  `invoice` int(11) DEFAULT NULL,
  `invoiceamount` int(11) DEFAULT NULL,
  `status` int(5) DEFAULT '0',
  `sideshow` varchar(255) DEFAULT '0',
  `coupontype` varchar(255) DEFAULT NULL,
  `obj_type` int(11) DEFAULT '0',
  `obj_id` int(11) DEFAULT '0',
  `discount_type` int(11) DEFAULT NULL,
  `with_discount` int(11) DEFAULT NULL,
  `coupon_applied` varchar(255) DEFAULT '0',
  `created_by` varchar(255) DEFAULT NULL,
  `date` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `time` time DEFAULT NULL,
  `time1` time DEFAULT NULL,
  `date1` timestamp NULL DEFAULT NULL,
  `domainid` varchar(255) DEFAULT NULL,
  `sendmail` int(11) DEFAULT '0',
  `maximumdiscountlimit` int(11) DEFAULT '0',
  `start_date` date DEFAULT NULL,
  `codaplicable` int(5) NOT NULL DEFAULT '0',
  `couponwithdhamaka` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponcategory`
--

CREATE TABLE IF NOT EXISTS `couponcategory` (
  `categoryid` int(10) NOT NULL AUTO_INCREMENT,
  `catname` varchar(255) NOT NULL,
  `urlname` varchar(255) NOT NULL,
  `status` int(5) DEFAULT NULL,
  `cdate` date DEFAULT NULL,
  `catimg` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`categoryid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponcoment`
--

CREATE TABLE IF NOT EXISTS `couponcoment` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `email` varchar(255) NOT NULL,
  `coment` text NOT NULL,
  `status` int(5) NOT NULL,
  `date` date DEFAULT NULL,
  `time` varchar(25) DEFAULT NULL,
  `storeid` int(10) DEFAULT NULL,
  `couponid` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponinvoice`
--

CREATE TABLE IF NOT EXISTS `couponinvoice` (
  `invid` int(10) NOT NULL AUTO_INCREMENT,
  `storeid` int(10) NOT NULL,
  `subtotal` float NOT NULL,
  `date` date DEFAULT NULL,
  `paytype` varchar(30) DEFAULT 'unpaid',
  `status` int(5) DEFAULT NULL,
  PRIMARY KEY (`invid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponmailsub`
--

CREATE TABLE IF NOT EXISTS `couponmailsub` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `storeid` int(10) NOT NULL,
  `storename` varchar(255) NOT NULL,
  `emailid` varchar(255) NOT NULL,
  `substatus` int(5) NOT NULL,
  `createdate` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponsale`
--

CREATE TABLE IF NOT EXISTS `couponsale` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `ct_id` int(10) NOT NULL,
  `couponcode` varchar(200) NOT NULL,
  `salevalue` varchar(200) NOT NULL,
  `payvalue` int(10) NOT NULL,
  `paytype` int(5) NOT NULL,
  `status` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `couponstore`
--

CREATE TABLE IF NOT EXISTS `couponstore` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `storename` varchar(200) DEFAULT NULL,
  `couponcode` varchar(200) DEFAULT NULL,
  `discription` varchar(255) DEFAULT NULL,
  `smalldesc` varchar(255) DEFAULT NULL,
  `status` int(5) DEFAULT NULL,
  `createdon` date DEFAULT NULL,
  `strid` int(10) DEFAULT NULL,
  `mail` int(5) DEFAULT NULL,
  `storeurlc` varchar(255) DEFAULT NULL,
  `featured` int(5) NOT NULL DEFAULT '0',
  `yvoting` int(5) NOT NULL DEFAULT '0',
  `novoting` int(5) NOT NULL DEFAULT '0',
  `unrelible` int(5) NOT NULL DEFAULT '0',
  `paytype` int(10) DEFAULT NULL,
  `paystatus` float DEFAULT NULL,
  `expdate` varchar(255) DEFAULT NULL,
  `hot_coupon` int(5) DEFAULT '0',
  `topcoupon` int(5) NOT NULL DEFAULT '0',
  `orderprefer` int(10) DEFAULT NULL,
  `countclick` int(10) NOT NULL DEFAULT '0',
  `coupon_mail` int(10) NOT NULL DEFAULT '0',
  `mailcoupon` text,
  `coupon_type` varchar(50) DEFAULT 'coupon',
  `maildisc` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `coupon_allow`
--

CREATE TABLE IF NOT EXISTS `coupon_allow` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `coupon_id` varchar(255) DEFAULT NULL,
  `subcat_id` varchar(255) DEFAULT NULL,
  `cat_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `coupon_object`
--

CREATE TABLE IF NOT EXISTS `coupon_object` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  `obj_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `coupon_offer`
--

CREATE TABLE IF NOT EXISTS `coupon_offer` (
  `offer_id` int(11) NOT NULL AUTO_INCREMENT,
  `offer_name` varchar(255) DEFAULT NULL,
  `start_date` varchar(255) DEFAULT NULL,
  `start_time` int(10) DEFAULT NULL,
  `end_date` varchar(255) DEFAULT NULL,
  `end_time` int(10) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`offer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `discount_table`
--

CREATE TABLE IF NOT EXISTS `discount_table` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cat_id` varchar(255) DEFAULT NULL,
  `subcat_id` varchar(255) DEFAULT NULL,
  `pro_id` varchar(255) DEFAULT NULL,
  `brand_id` varchar(255) DEFAULT NULL,
  `discount` float DEFAULT '0',
  `discount_type` varchar(255) DEFAULT NULL,
  `specialdiscount` varchar(255) DEFAULT NULL,
  `specialdiscounttype` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `haa_administrator`
--

CREATE TABLE IF NOT EXISTS `haa_administrator` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `type` enum('Super','Admin','Vender') NOT NULL,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `status` enum('Active','Inactive') NOT NULL DEFAULT 'Active',
  `permissions` varchar(255) NOT NULL,
  `phoneno` varchar(15) DEFAULT NULL,
  `subcategory` text,
  `shipstatusval` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=44 ;

--
-- Dumping data for table `haa_administrator`
--

INSERT INTO `haa_administrator` (`id`, `username`, `password`, `type`, `name`, `email`, `status`, `permissions`, `phoneno`, `subcategory`, `shipstatusval`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Super', 'Admin', 'admin@printbooth.in', 'Active', '1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54', NULL, NULL, '4,5,9,10,12,0,13,1,3,2');

-- --------------------------------------------------------

--
-- Table structure for table `haa_cmspages`
--

CREATE TABLE IF NOT EXISTS `haa_cmspages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `meta_title` varchar(255) DEFAULT NULL,
  `meta_keywords` longtext,
  `meta_description` longtext,
  `content` longtext,
  `status` enum('Active','Inactive') NOT NULL DEFAULT 'Active',
  `subcat_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `haa_cmspages`
--

INSERT INTO `haa_cmspages` (`id`, `title`, `meta_title`, `meta_keywords`, `meta_description`, `content`, `status`, `subcat_id`) VALUES
(1, 'Contactus', 'Contactus', 'Contactus', 'Contactus', '<p>Contactus</p>', 'Active', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `haa_settings`
--

CREATE TABLE IF NOT EXISTS `haa_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `constant_name` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `field_value` varchar(255) COLLATE latin1_general_ci NOT NULL,
  `field_name` varchar(255) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=12 ;

--
-- Dumping data for table `haa_settings`
--

INSERT INTO `haa_settings` (`id`, `constant_name`, `field_value`, `field_name`) VALUES
(1, 'PROJECT_NAME', 'vbcvbc', 'Project Name'),
(2, 'ADMIN_PAGE_TITLE', 'vbcvbc', 'Page Title'),
(3, 'SITE_PATH', 'Coupons1', 'Site Path'),
(4, 'ADMIN_SITE_PATH', 'Coupons', 'Admin Site Path'),
(5, 'PAGINATION_LIMIT', '100', 'Pagination Limit'),
(7, 'ADMIN_COLOUR', '111', 'Website Colour'),
(6, 'ADMIN_EMAIL', 'Coupons', 'Admin Email'),
(8, 'RECOMMENDED_COLUMN', 'Coupons', 'Recommended Column'),
(9, 'title', 'vbcvbc', 'title'),
(10, 'metadiscription', 'vbcvbc', 'metadiscription'),
(11, 'Keyword', 'vbcvbc', 'Keyword');

-- --------------------------------------------------------

--
-- Table structure for table `logo`
--

CREATE TABLE IF NOT EXISTS `logo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) DEFAULT NULL,
  `display` int(11) NOT NULL,
  `text` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `logo`
--

INSERT INTO `logo` (`id`, `image`, `display`, `text`) VALUES
(1, 'coupon.jpg', 0, 'coupon');

-- --------------------------------------------------------

--
-- Table structure for table `sitetracking`
--

CREATE TABLE IF NOT EXISTS `sitetracking` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(200) NOT NULL,
  `siteurl` varchar(255) NOT NULL,
  `datetime` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `storecatmap`
--

CREATE TABLE IF NOT EXISTS `storecatmap` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `storeid` int(10) NOT NULL,
  `catid` int(10) NOT NULL,
  `status` int(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `storename`
--

CREATE TABLE IF NOT EXISTS `storename` (
  `storeid` int(10) NOT NULL AUTO_INCREMENT,
  `storename` varchar(255) NOT NULL,
  `hturl` varchar(200) DEFAULT NULL,
  `storeimg` varchar(255) NOT NULL,
  `status` int(5) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `discription` text,
  `storeurl` varchar(255) DEFAULT NULL,
  `mail` int(5) DEFAULT NULL,
  `popstore` int(5) DEFAULT NULL,
  `paytype` varchar(50) DEFAULT NULL,
  `title` varchar(255) DEFAULT NULL,
  `metadiscription` text,
  `metakeyword` text,
  `hotstore` int(5) NOT NULL DEFAULT '0',
  `top20` int(5) DEFAULT '0',
  `storetype` int(10) DEFAULT NULL,
  `contactname` varchar(255) DEFAULT NULL,
  `contemail` varchar(255) DEFAULT NULL,
  `contnumber` varchar(50) DEFAULT NULL,
  `popular_store` int(10) NOT NULL DEFAULT '0',
  `topcoupimage` varchar(255) DEFAULT NULL,
  `checkcat` varchar(255) NOT NULL,
  PRIMARY KEY (`storeid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `subcoupstore`
--

CREATE TABLE IF NOT EXISTS `subcoupstore` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `code` varchar(100) DEFAULT NULL,
  `cstoreid` int(10) NOT NULL,
  `substatus` int(5) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

